GuiCommand model

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page GuiCommand model and the translation is 19% complete.

Outdated translations are marked like this.
Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
This page shows a model of a recommended GuiCommand page. Under the Selectable block section below you will find the same content easily selectable for pasting in a new page.

Base ExampleCommandModel.png {{{Name/es}}}

Ubicación en el Menú
{{{MenuLocation}}}
Entornos de trabajo
Wb1,Wb2
Atajo de teclado por defecto
None
Introducido en versión
-
Ver también
None


Descripción

While the page is under construction, add the {{UnfinishedDocu}} template at the top of the page.

Insert here a short description of what the command does.

Add an image if possible, and please follow the guidelines in WikiPages#Graphics. Example taken from Draft Line:

Draft Line example.jpg

Optional: add a caption below the image to explain what the tool is doing.


Closing and opening translate tags should surround images, and other fixed elements, if they don't need to be translated. The caption should always be translated.

Descripción


FreeCAD05.png image


Utilización

  1. Cómo se utiliza
  2. Cómo se utiliza

Opciones

  • TASK Length:Tareas
{{PropertyTasks|Length}} (Código del título)
  • Opciones

Propiedades

  • DATAProperties:Propiedades
{{PropertyData|Length}} (Código del título)
  • VIEWProperties:Propiedades
 {{PropertyView|Properties}} (Código del título)

Data

  • DATAPropertyName1: Description of the property

View

  • VIEWPropertyName2: Description of the property

Example

Optional

Archivos de guión

See also: Category:API and FreeCAD Scripting Basics.

The ExampleCommandModel tool can be used in macros and from the Python console by using the following function:

Object = makeExampleCommandModel(Data1, Data2)
  • Creates an Object using Data1 and Data2.

Ejemplo:

import FreeCAD, Base

Model = Base.makeExampleCommandModel(FreeCAD.Data1, FreeCAD.Data2)

Limitations

  • Optional, use bullet list if multiple items

Otros (opcional)

!


Selectable block

{{UnfinishedDocu}}
<translate>

{{GuiCommand
|Name=Base ExampleCommandModel
|Icon=<!--filename of icon with extension (e.g. svg, png) if not the same name as command; delete this row if not used-->
|MenuLocation=Menu → Submenu → Command
|Workbenches=[[Workbench Name|Workbench]]
|Shortcut=<!--delete this row if not used-->
|SeeAlso=<!--add links to similar commands; delete this row if not used-->
|Version=0.17
}}

==Description==

While the page is under construction, add the {{UnfinishedDocu}} template at the top of the page.

Insert here a short description of what the command does.

</translate>
[[File:Draft_Line_example.jpg|none|400px]]
<translate>

{{Caption|Optional: add a caption below the image to explain what the tool is doing.}}

Closing and opening translate tags should surround images, and other fixed elements, if they don't need to be translated. The caption should always be translated.

==How to use==

# Press the {{Button|[[File:Std Close.png|16px]] [[GuiCommand model|Command name]]}} button. The button must be a link to this command.
# Detailed steps as needed.
# Set options and press {{Button|OK}}.

==Options==

* List the command options here.

==Properties==

===Data===

* {{PropertyData|PropertyName1}}: Description of the property

===View===

* {{PropertyView|PropertyName2}}: Description of the property

==Example==

Optional

==Scripting==
{{Emphasis|See also:}} [[:Category:API]] and [[FreeCAD Scripting Basics]].

The ExampleCommandModel tool can be used in [[macros]] and from the [[Python]] console by using the following function:
</translate>
{{Code|code=
Object = makeExampleCommandModel(Data1, Data2)
}}
<translate>
* Creates an {{incode|Object}} using {{incode|Data1}} and {{incode|Data2}}.

Example:
</translate>
{{Code|code=
import FreeCAD, Base

Model = Base.makeExampleCommandModel(FreeCAD.Data1, FreeCAD.Data2)
}}
<translate>

==Limitations==

* Optional, use bullet list if multiple items

==Other==

Optional

</translate>